# $Revision: 1.9 $, $Date: 2008-02-17 18:27:33 $
#
# Conditional build:
%bcond_with	tests		# perform "make test"
				# Text::TabularDisplay 1.21 not available yet
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	RecordParser
Summary:	Text::RecordParser - read record-oriented files
Summary(pl.UTF-8):	Text::RecordParser - odczyt plików rekordowych
Name:		perl-Text-RecordParser
Version:	1.2.1
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-v%{version}.tar.gz
# Source0-md5:	65c2a85a2ed2a9bc791d377954bd5a44
URL:		http://search.cpan.org/dist/Text-RecordParser/
# sigh... perl.prov can't handle version->new(...) -- Safe.pm
Provides:	perl(Text::RecordParser) = %{version}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Text-TabularDisplay >= 1.21
BuildConflicts:	perl-Text-TabularDisplay = 1.20
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Text::RecordParser)'

%description
This module is for reading record-oriented data. The most common
example have records separated by newlines and fields separated by
commas or tabs, but this module aims to provide a consistent interface
for handling sequential records in a file however they may be
delimited. Typically this data lists the fields in the first line of
the file, in which case you should call bind_header to bind the field
name. If the first line contains data, you can still bind your own
field names via bind_fields. Either way, you can then use many methods
to get at the data as arrays or hashes.

%description -l pl.UTF-8
Ten moduł służy do czytania danych zorientowanych rekordowo.
Najpopularniejszy przykład to rekordy oddzielone nowymi liniami i pola
oddzielone przecinkami lub tabulatorami, ale celem tego modułu jest
dostarczenie spójnego interfejsu do obsługi sekwencyjnych rekordów w
pliku niezależnie od sposobu ich rozdzielenia. Typowo dane te
określają pola w pierwszej linii pliku - w tym przypadku należy
wywołać bind_header aby podpiąć nazwy pól. Jeśli pierwsza linia
zawiera dane, nadal można podpiąć własne nazwy pól poprzez
bind_fields. W każdym przypadku można potem używać wielu metod
pobierania danych jako tablice lub hasze.

%prep
%setup -q -n %{pdir}-%{pnam}-v%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes INSTALL TODO
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/Text/*.pm
%{perl_vendorlib}/Text/RecordParser
%{_mandir}/man?/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-RecordParser.spec,v $
Revision 1.9  2008-02-17 18:27:33  radek
- release 3: noautoreq self (b0rken rpm wrr), provide self (uses version->new)

Revision 1.8  2008-02-17 18:19:39  radek
- release 2

Revision 1.7  2007/03/31 16:51:09  qboosh
- generic URL

Revision 1.6  2007/03/29 16:17:02  radek
- version 1.2.1

Revision 1.5  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.3  2004/12/09 22:34:05  qboosh
- pl desc

Revision 1.2  2004/12/09 14:45:03  ankry
- pl summary, formatting

Revision 1.1  2004/12/09 12:41:51  radek
- new
